function mumodeldisplay
%MUMODELDISPLAY Edits model parapeters (gui)
% Internal function invoked by MUMODEL
% Based on inputdlg
global MU_MODEL

cn=MU_MODEL.COMPONENTNUMBER;
pn=0;
for k=1:cn %MU_MODEL.COMPONENTNUMBER
    pn=pn+MU_MODEL.COMPONENT(k).PARAMETERNUMBER;
end
% build the list
number=pn;
prompt=cell(number,1);
defaultanswer=cell(number,1);
name='\mu lab: Edit fit parameters';
options.Resize='on';
options.WindowStyle='normal';
options.Interpreter='tex';

OK=0;
while ~OK
    par=0;
    for k=1:cn %MU_MODEL.COMPONENTNUMBER
        pn=MU_MODEL.COMPONENT(k).PARAMETERNUMBER;
        
        component=MU_MODEL.COMPONENT(k).NAME;
        for j=1:pn %znmodel.component(k).parameternumber 
            par=par+1; 
            parname=MU_MODEL.COMPONENT(k).PARAMETER(j).NAME;
            parname(1)=upper(parname(1));
            prompt(par)={[int2str(par) ' - ' component parname ' = ']}; 
            defaultanswer(par)= ...
                cellstr([num2str(MU_MODEL.COMPONENT(k).PARAMETER(j).VALUE)...
                         MU_MODEL.COMPONENT(k).PARAMETER(j).FLAG] );
        end
    end
    answer=inputdlg(prompt,name,1,defaultanswer,options);
    if ~isempty(answer)
        OK=muextractparameters(answer);
    else
        OK=1;
    end
end
