function [xb,yb,eb]=murebin(x,y,e)
    %     x y are intesive (rebinning of x(1:n) into a bin 
    %  means sum(x(1:n))/n)
    %     e is in quadrature  sqrt(sum(e(1:n).^2))/n
    global MU_MODEL
    n=MU_MODEL.BIN;
    M=length(x);
    m=floor(M/n);
    MN=m*n;
    xx=x(1:MN);
    xx=reshape(xx,n,m);
    yy=y(1:MN);
    yy=reshape(yy,n,m);
    ey=e(1:MN);
    ey=reshape(ey,n,m);
    xb=sum(xx,1)/n;
    yb=sum(yy,1)/n;
    eb=sqrt(sum(ey.^2,1))/n;
