function mufitmenu
% usage mufitmenu
%
% edits fit additional parameters such as alpha
% grouping, binning, range, batch mode, polarization denominator.
global MU_MODEL


name='Mulab: fit menu';
prompt={'Alpha', ...
        'Bin', ...
        'Forward Grouping', ...
        'Backward Grouping', ...
        'Polarization denominator', ...
        'Batch mode', ...
        'Fit Range'...
       };

OK=0;
while ~OK
    defaultanswer={ num2str(MU_MODEL.ALPHA), ...
                    num2str(MU_MODEL.BIN), ...
                    musgroup(1,0), ...
                    musgroup(2,0), ...
                    MU_MODEL.FLAG.DENOMINATOR, ...
                    MU_MODEL.BATCHMODE, ...
                    int2str(MU_MODEL.RANGE)};
    answer=inputdlg(prompt,name,1,defaultanswer); %,options);%
    if ~isempty(answer)
    [alpha ok1]=str2num(char(answer(1)));
    [bin ok2]=str2num(char(answer(2)));
    forgroup=mugroup(char(answer(3)));
    backgroup=mugroup(char(answer(4)));
    [r ok3]=str2num(char(answer(7)));
        if ok1*ok2*ok3==1
            OK=1;
            MU_MODEL.ALPHA=alpha;
            MU_MODEL.BIN=bin;
            MU_MODEL.GROUPING(1).FORWARD=forgroup;
            MU_MODEL.GROUPING(1).BACKWARD=backgroup;
            MU_MODEL.FLAG.DENOMINATOR=char(answer(5));
            MU_MODEL.BATCHMODE=char(answer(6));
            MU_MODEL.RANGE=r;
        end
    else
        OK=1;
    end
end


% MU_MODEL.NAME=name;
% MU_MODEL.COMPONENTNUMBER=l;
% MU_MODEL.ALPHA=a;
% MU_MODEL.FLAG.TYPE=ft;
% MU_MODEL.FLAG.DENOMINATOR=fd;
% MU_MODEL.BATCHMODE=b;
% MU_MODEL.GROUPING(1).FORWARD=fg; % array of integers
% MU_MODEL.GROUPING(1).BACKWARD=bg;
% MU_MODEL.RANGE=r;
% MU_MODEL.BIN=bin;
